commit:     499a205bc3cf29665c225e346e2c864957a1f18e
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 17 20:48:19 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Aug 17 20:48:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=499a205b

app-vim/merginal: add live ebuild

 app-vim/merginal/merginal-9999.ebuild | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/app-vim/merginal/merginal-9999.ebuild 
b/app-vim/merginal/merginal-9999.ebuild
new file mode 100644
index 00000000000..642e1deb87a
--- /dev/null
+++ b/app-vim/merginal/merginal-9999.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit vim-plugin
+
+MY_PN=vim-${PN}
+MY_P=${MY_PN}-${PV}
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="https://github.com/idanarye/${MY_PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/idanarye/${MY_PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="vim script: fugitive extension to manage and merge git branches"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=4955 
https://github.com/idanarye/vim-merginal/";
+LICENSE="vim"
+
+RDEPEND="app-vim/fugitive"
+
+VIM_PLUGIN_HELPFILES="${PN}"
+
+src_prepare() {
+       rm README.md || die
+       default
+}

Reply via email to